aboutsummaryrefslogtreecommitdiff
path: root/ci/lint_run_all.sh
diff options
context:
space:
mode:
authorMarcoFalke <falke.marco@gmail.com>2020-12-17 11:42:09 +0100
committerMarcoFalke <falke.marco@gmail.com>2020-12-18 07:40:57 +0100
commitfaeb40bee3bca9477785659d89af53cafa2333b5 (patch)
tree5e3e4ca3f5832d4d34c378416f59cccf26d00e23 /ci/lint_run_all.sh
parent9b28bd73a33bdadbc5ac44b101edb58418aee6c3 (diff)
downloadbitcoin-faeb40bee3bca9477785659d89af53cafa2333b5.tar.xz
ci: Install missing lint packages
Also merge script into ci/lint_run_all.sh because env vars weren't exported properly
Diffstat (limited to 'ci/lint_run_all.sh')
-rwxr-xr-xci/lint_run_all.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ci/lint_run_all.sh b/ci/lint_run_all.sh
new file mode 100755
index 0000000000..2623f46828
--- /dev/null
+++ b/ci/lint_run_all.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+#
+# Copyright (c) 2019 The Bitcoin Core developers
+# Distributed under the MIT software license, see the accompanying
+# file COPYING or http://www.opensource.org/licenses/mit-license.php.
+
+export LC_ALL=C.UTF-8
+
+set -o errexit; source ./ci/test/00_setup_env.sh
+set -o errexit; source ./ci/lint/04_install.sh
+set -o errexit; source ./ci/lint/05_before_script.sh
+set -o errexit; source ./ci/lint/06_script.sh